Description

With yesterday's release of foreman-tasks, tests are now erroring:

Failure:

Katello::Api::V2::RepositoriesControllerTest#test_remove_content [/var/lib/workspace/workspace/kat

ello-pr-test/test/controllers/api/v2/repositories_controller_test.rb:701]:

Expected response to be a <2XX: success>, but was a <500: Internal Server Error>

Response body: {"displayMessage":"undefined method `get_humanized' for #\u003cForemanTasks::Task:0

x0000000077384470\u003e\nDid you mean?  humanized","errors":["undefined method `get_humanized' for

 #\u003cForemanTasks::Task:0x0000000077384470\u003e\nDid you mean?  humanized"]}

bin/rails test /var/lib/workspace/workspace/katello-pr-test/test/controllers/api/v2/repositories_c

ontroller_test.rb:694

Associated revisions

Revision a333a273 - 06/15/2018 01:32 PM - Stephen Benjamin

fixes #23954 - test stubs should return dynflow task

ForemanTask.async_task returns a dynflow task, and tests that stub this

should also return the same class of object.  ForemanTask::Task doesn't

have all the same methods as Task::DynflowTask, e.g. get_humanized.

History

#1 - 06/15/2018 12:32 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Pull request https://github.com/Katello/katello/pull/7458 added

#2 - 06/15/2018 02:01 PM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|a333a27316e147abff56e22cc9eaf3718ebb684c.

#3 - 06/20/2018 05:43 PM - Jonathon Turel

- translation missing: en.field_release set to 338
